#include <avr/io.h>

#include "pwm_softblink.h"


int init_pwm_softblink_timer2( void ) {
	// Set PORTF as output for driving the LED 
	DDRF |= (1 << PF0);
	DDRF |= (1 << PF1);
	PORTF |= (1 << PF0);
	PORTF |= (1 << PF1);
	// OC2A as output
	DDRB |= (1<<PB4);
	// CTC mode
	TCCR2A |= (1 <<  WGM21);
	TCCR2A |= (1 <<  WGM20);
	//
	TCCR2A |= (1 << COM2A1);
	// Prescaler Clear OC1A on compare match
	TCCR2A |= (1 << CS22)|(1 <<  CS21);
	OCR2A = 0xAA;
	


return 0;
}

int set_red_led( void ) {
	// Set red LED
	// The Team Color is RED
	PORTF |= (1 << PF0);
	PORTF &= ~(1 << PF1);

	return 0;
}

int set_blue_led( void ) {
	// Set blue LED
	// The Team Color is BLUE
	PORTF |= (1 << PF1);
	PORTF &= ~(1 << PF0);
	
	return 0;

}


