/***************************************************************************

 ***************************************************************************/
#ifndef MAP_SEARCH_NODE_H
#define MAP_SEARCH_NODE_H
    
#include "stlastar.h"
#include "AStarUse.h"
#include "observation_structs.h"

class MapSearchNode {
  public:
    short x;
    short y;
    MapSearchNode() { x = y = 0; }
    MapSearchNode( unsigned int px, unsigned int py ) { x=px; y=py; }

    float GoalDistanceEstimate( MapSearchNode &nodeGoal );
    bool IsGoal( MapSearchNode &nodeGoal );
    bool GetSuccessors( AStarSearch<MapSearchNode> *astarsearch, MapSearchNode *parent_node );
    float GetCost( MapSearchNode &successor );
    bool IsSameState( MapSearchNode &rhs );

    void PrintNodeInfo();
    ai_waypoint ReturnNodeInfo();

};

#endif

