//****************************************************************************
// Gunnar Kjemphol
// Eurobot 2007
//
//****************************************************************************

#include "proxyCommands.h"

void proxyRecieveCommands(pmq_message *pm){
	int i;
	TPCANMsg canSendStruct;
	proxy_commands local_proxy_command;
	memcpy((void *)(&local_proxy_command), (void *)pm->data, sizeof(proxy_commands));

	canSendStruct.ID = local_proxy_command.commandType;
	canSendStruct.MSGTYPE = MSGTYPE_STANDARD;
	canSendStruct.LEN = local_proxy_command.length;
	for(i = 0; i < local_proxy_command.length; i++){
		canSendStruct.DATA[i] = local_proxy_command.data[i];
	}
	can_send_message( &canSendStruct );


}

void proxyRecieveCommand(pmq_message *pm) {

	if( pm->minor == MINOR_CMD_RELEASE_BATTERY ) {
		TPCANMsg canSendStruct;
		canSendStruct.ID = CAN_ADDR_RELEASE_BATTERY;
		canSendStruct.MSGTYPE = MSGTYPE_STANDARD;
		canSendStruct.LEN = 0;
		cout << "MINOR_CMD_RELEASE_BATTERY" << endl;

		can_send_message( &canSendStruct );
	}
	else if( pm->minor == MINOR_CMD_PICK_UP_BOTTLE_BOX ) {
		TPCANMsg canSendStruct;
		canSendStruct.ID = CAN_ADDR_PICK_UP_BOTTLE_BOX;
		canSendStruct.MSGTYPE = MSGTYPE_STANDARD;
		canSendStruct.LEN = 0;
		can_send_message( &canSendStruct );
	//while(1)
		cout << "MINOR_CMD_PICK_UP_BOTTLE_BOX" << endl;

		
	}
	else if( pm->minor == MINOR_CMD_RELEASE_BOTTLE_BOX ) {
		TPCANMsg canSendStruct;
		canSendStruct.ID = CAN_ADDR_RELEASE_BOTTLE_BOX;
		canSendStruct.MSGTYPE = MSGTYPE_STANDARD;
		canSendStruct.LEN = 0;
		cout << "MINOR_CMD_RELEASE_BOTTLE_BOX" << endl;

		can_send_message( &canSendStruct );
	}
	else if( pm->minor == MINOR_SET_LED_TEAM_COLOR_RED ) {
		TPCANMsg canSendStruct;
cout << "MINOR_SET_LED_TEAM_COLOR_RED" << endl;
		canSendStruct.ID = CAN_SET_LED_TEAM_COLOR_RED;
		canSendStruct.MSGTYPE = MSGTYPE_STANDARD;
		canSendStruct.LEN = 0;

		can_send_message( &canSendStruct );
	}
	else if( pm->minor == MINOR_SET_LED_TEAM_COLOR_BLUE ) {
cout << "MINOR_SET_LED_TEAM_COLOR_BLUE" << endl;
		TPCANMsg canSendStruct;
		canSendStruct.ID = CAN_SET_LED_TEAM_COLOR_BLUE;
		canSendStruct.MSGTYPE = MSGTYPE_STANDARD;
		canSendStruct.LEN = 0;

		can_send_message( &canSendStruct );
	}
	else {
	}



}


int proxyInitTimeMessage( MessageHandler *plansysMessageHandler ) {
	plansysMessageHandler->sendCommand( MINOR_CMD_SYSTEM_GO, PRIORITY_HIGHEST );

	return 0;
}

int proxyBatteryReleased(MessageHandler *plansysMessageHandler) {
	plansysMessageHandler->sendCommand( MINOR_CMD_BATTERY_RELEASED, PRIORITY_HIGHEST );

	return 0;
}

int proxyBottleBoxReleased(MessageHandler *plansysMessageHandler) {
	plansysMessageHandler->sendCommand( MINOR_CMD_BOTTLE_BOX_RELEASED, PRIORITY_HIGHEST );
	return 0;
}

int proxyBottleBoxPickUpBottleSuccess(MessageHandler *plansysMessageHandler) {
	plansysMessageHandler->sendCommand( MINOR_CMD_PICK_UP_BOTTLE_SUCCESS, PRIORITY_HIGHEST );

	return 0;
}

int proxyBottleBoxPickUpBoxSuccess(MessageHandler *plansysMessageHandler) {
	plansysMessageHandler->sendCommand( MINOR_CMD_PICK_UP_BOX_SUCCESS, PRIORITY_HIGHEST );

	return 0;
}

int proxyBottleBoxPickUpFailure(MessageHandler *plansysMessageHandler) {
	plansysMessageHandler->sendCommand( MINOR_CMD_PICK_UP_FAILURE, PRIORITY_HIGHEST );

	return 0;
}

int proxySendCommand(MessageHandler *sysMessageHandler, int minor, int priority ) {
	sysMessageHandler->sendCommand( minor, priority );
	return 0;
}

