#ifndef PROXY_COMMANDS_H
#define PROXY_COMMANDS_H

//****************************************************************************
// Gunnar Kjemphol
// Eurobot 2007
//
//****************************************************************************

// INCLUDES
#include <pthread.h>
#include <cstdio>
#include <cstdlib>
#include <cerrno>
#include <ctype.h>
#include <unistd.h>   // exit
#include <signal.h>
#include <string.h>
#include <stdlib.h>
#include <fcntl.h>    // O_RDWR

#include <libpcan.h>
#include <pcan.h>

#include "main.h"
#include "proxyconfig.h"
#include "posix_message_config.h"
#include "MessageHandler.h"
#include "posix_message_queue.h"
#include "can_bus.h"
#include "observation_structs.h"
#include "common.h"

void proxyRecieveCommands(pmq_message *pm);
void proxyRecieveCommand(pmq_message *pm);
int proxyInitTimeMessage( MessageHandler *plansysMessageHandler );
int proxyBottleBoxReleased(MessageHandler *plansysMessageHandler);
int proxyBatteryReleased(MessageHandler *plansysMessageHandler);
int proxyBottleBoxPickUpBottleSuccess(MessageHandler *plansysMessageHandler);
int proxyBottleBoxPickUpBoxSuccess(MessageHandler *plansysMessageHandler);
int proxyBottleBoxPickUpFailure(MessageHandler *plansysMessageHandler);
int proxySendCommand(MessageHandler *sysMessageHandler, int minor, int priority);

#endif


