#ifndef PROXY_STRUCTS_H
#define PROXY_STRUCTS_H

//****************************************************************************
// Gunnar Kjemphol
// Eurobot 2007
//
//****************************************************************************

// INCLUDES
#include <pthread.h>
#include <cstdio>
#include <cstdlib>
#include <cerrno>
#include <ctype.h>
#include <unistd.h>   // exit
#include <signal.h>
#include <string.h>
#include <stdlib.h>
#include <fcntl.h>    // O_RDWR

#include <libpcan.h>
#include <pcan.h>

#include "main.h"
#include "proxyconfig.h"
#include "posix_message_config.h"
#include "MessageHandler.h"
#include "posix_message_queue.h"
#include "can_bus.h"
#include "observation_structs.h"
#include "common.h"

void proxyRecieveStruct(pmq_message *pm);
int proxySendStruct(MessageHandler *sysMessageHandler, int minor, int priority);

#endif


