/***************************************************************************

 ***************************************************************************/

#ifndef ASTAR_USE_H
#define ASTAR_USE_H

#include <iostream>
#include <vector>
#include "stlastar.h"
#include "MapSearchNode.h"
#include "astartest.h"

using namespace std;

const int WORLD_GRID_X = 10;
const int WORLD_GRID_Y = 15;

//int worldMap[WORLD_GRID_X * WORLD_GRID_Y];

vector<ai_waypoint> AStarUse(ai_waypoint& startNode, ai_waypoint& goalNode);
int InitMap ( int size_x, int size_y );
int SetMapWeight( int x, int y, int weight );
int PrintWorldMap();
int GetMap( int x, int y );


#endif

