/***************************************************************************

 ***************************************************************************/

#ifndef ASTAR_USE_H
#define ASTAR_USE_H

#include <iostream>
#include <vector>
#include "stlastar.h"
#include "MapSearchNode.h"
#include "observation_structs.h"

using namespace std;

/**
 * Max size World Grid 50x50
 */
const int WORLD_GRID_X = 50;
const int WORLD_GRID_Y = 50;

//int worldMap[WORLD_GRID_X * WORLD_GRID_Y];

vector<ai_waypoint> AStarUse(ai_waypoint& startNode, ai_waypoint& goalNode);
int InitMap ( int size_x, int size_y );
int SetMapWeight( int x, int y, int weight );
int PrintWorldMap();
int GetMap( int x, int y );


#endif

