// #ifdef SEND_RECIEVE_H

#include <config.h>


#include <iostream>
#include <cstdlib>
#include <sys/time.h>
#include <math.h>

#include "MessageHandler.h"
#include "posix_message_queue.h"
#include "posix_message_config.h"
#include "observations.h"
#include "Observer.h"
#include "PlansysObservation.h"
#include "BottleBoxSort.h"
#include "BatterySort.h"
#include "MotorAi.h"
#include "FirstStrategy.h"
#include "waypoint.h"
//#include "WorldModel.h"

#include "mainplansys.h"

int SendInitPosition( MessageHandler *navsysMessageHandler );
int flashTheSensorBoardLeds( MessageHandler *proxysysMessageHandler );
int askForCvObservation( MessageHandler *cvsysMessageHandler , int *counter );
void recieveCollisionDetectionStruct(pmq_message *pm);
void recieveCvObservaton(pmq_message *pm);
void recieveCvColorObservaton(pmq_message *pm);
void recievePositionUpdate(pmq_message *pm);
void recieveWaypointReached(pmq_message *pm);
void recieveProxyMessage(pmq_message *pm);
void recieveCmdBatterySort(pmq_message *pm);
void recieveCmdBottleBoxSort(pmq_message *pm);
void recieveCmdProxyMessage(pmq_message *pm);
void recieveCmdTeamColor(pmq_message *pm);

int waitForTeamColorMessage( MessageHandler *proxysysMessageHandler, MessageHandler *navsysMessageHandler );

// #endif

